WinRas (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinRas

Package com.sun.jna.platform.win32

# Interface WinRas

public interface WinRas
Definitions for RASAPI32

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `WinRas.RAS_STATS`
  The RAS_STATS structure stores the statistics for a single-link RAS connection, or for one of the links in a multilink RAS connection.
  `static class`
  `WinRas.RASCONN`
  The RASCONN structure provides information about a remote access connection.
  `static class`
  `WinRas.RASCONNSTATUS`
  The RASCONNSTATUS structure describes the current status of a remote access connection.
  `static class`
  `WinRas.RASCREDENTIALS`
  The RASCREDENTIALS structure is used with the RasGetCredentials and RasSetCredentials functions to specify the user credentials associated with a RAS phone-book entry.
  `static class`
  `WinRas.RASDEVSPECIFICINFO`
  The RASDEVSPECIFICINFO structure is used to send a cookie for server validation and bypass point-to-point (PPP) authentication.
  `static class`
  `WinRas.RASDIALEXTENSIONS`
  The RASDIALEXTENSIONS structure contains information about extended features of the RasDial function.
  `static interface`
  `WinRas.RasDialFunc2`
  The asynchronous dial calback interface
  `static class`
  `WinRas.RASDIALPARAMS`
  The RASDIALPARAMS structure contains parameters that are used by RasDial to establish a remote access connection.
  `static class`
  `WinRas.RASEAPINFO`
  The RASEAPINFO structure contains user-specific Extensible Authentication Protocol (EAP) information.
  `static class`
  `WinRas.RASENTRY`
  The RASENTRY structure describes a phone-book entry.
  `static class`
  `WinRas.RASIPADDR`
  The RASIPADDR structure contains an IP address of the form "a.b.c.d".
  `static class`
  `WinRas.RASIPV4ADDR`
  This RASTUNNELENDPOINT structure is used to define the end-point of a virtual private network (VPN) tunnel.
  `static class`
  `WinRas.RASIPV6ADDR`
  This RASTUNNELENDPOINT structure is used to define the end-point of a virtual private network (VPN) tunnel.
  `static class`
  `WinRas.RASPPPIP`
  The RASPPPIP structure contains the result of a PPP IP projection operation.
  `static class`
  `WinRas.RASTUNNELENDPOINT`
  This RASTUNNELENDPOINT structure is used to define the end-point of a virtual private network (VPN) tunnel.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DNLEN`
  `static final int`
  `ERROR_BUFFER_TOO_SMALL`
  `static final int`
  `ERROR_CANNOT_FIND_PHONEBOOK_ENTRY`
  `static final int`
  `MAX_PATH`
  `static final int`
  `PWLEN`
  `static final int`
  `RAS_MaxAreaCode`
  `static final int`
  `RAS_MaxCallbackNumber`
  `static final int`
  `RAS_MaxDeviceName`
  `static final int`
  `RAS_MaxDeviceType`
  `static final int`
  `RAS_MaxDnsSuffix`
  `static final int`
  `RAS_MaxEntryName`
  `static final int`
  `RAS_MaxFacilities`
  `static final int`
  `RAS_MaxIpAddress`
  `static final int`
  `RAS_MaxPadType`
  `static final int`
  `RAS_MaxPhoneNumber`
  `static final int`
  `RAS_MaxUserData`
  `static final int`
  `RAS_MaxX25Address`
  `static final int`
  `RASCM_Domain`
  `static final int`
  `RASCM_Password`
  `static final int`
  `RASCM_UserName`
  `static final int`
  `RASCS_Connected`
  `static final int`
  `RASCS_Disconnected`
  `static final String`
  `RASDT_Modem`
  `static final int`
  `RASTUNNELENDPOINT_IPv4`
  `static final int`
  `RASTUNNELENDPOINT_IPv6`
  `static final int`
  `UNLEN`

- ## Field Details

  - ### ERROR_BUFFER_TOO_SMALL

    static final int ERROR_BUFFER_TOO_SMALL
    See Also:
      - Constant Field Values

  - ### ERROR_CANNOT_FIND_PHONEBOOK_ENTRY

    static final int ERROR_CANNOT_FIND_PHONEBOOK_ENTRY
    See Also:
      - Constant Field Values

  - ### MAX_PATH

    static final int MAX_PATH
    See Also:
      - Constant Field Values

  - ### UNLEN

    static final int UNLEN
    See Also:
      - Constant Field Values

  - ### PWLEN

    static final int PWLEN
    See Also:
      - Constant Field Values

  - ### DNLEN

    static final int DNLEN
    See Also:
      - Constant Field Values

  - ### RAS_MaxEntryName

    static final int RAS_MaxEntryName
    See Also:
      - Constant Field Values

  - ### RAS_MaxPhoneNumber

    static final int RAS_MaxPhoneNumber
    See Also:
      - Constant Field Values

  - ### RAS_MaxCallbackNumber

    static final int RAS_MaxCallbackNumber
    See Also:
      - Constant Field Values

  - ### RAS_MaxDeviceType

    static final int RAS_MaxDeviceType
    See Also:
      - Constant Field Values

  - ### RAS_MaxDeviceName

    static final int RAS_MaxDeviceName
    See Also:
      - Constant Field Values

  - ### RAS_MaxDnsSuffix

    static final int RAS_MaxDnsSuffix
    See Also:
      - Constant Field Values

  - ### RAS_MaxAreaCode

    static final int RAS_MaxAreaCode
    See Also:
      - Constant Field Values

  - ### RAS_MaxX25Address

    static final int RAS_MaxX25Address
    See Also:
      - Constant Field Values

  - ### RAS_MaxIpAddress

    static final int RAS_MaxIpAddress
    See Also:
      - Constant Field Values

  - ### RAS_MaxFacilities

    static final int RAS_MaxFacilities
    See Also:
      - Constant Field Values

  - ### RAS_MaxUserData

    static final int RAS_MaxUserData
    See Also:
      - Constant Field Values

  - ### RAS_MaxPadType

    static final int RAS_MaxPadType
    See Also:
      - Constant Field Values

  - ### RASCS_Connected

    static final int RASCS_Connected
    See Also:
      - Constant Field Values

  - ### RASCS_Disconnected

    static final int RASCS_Disconnected
    See Also:
      - Constant Field Values

  - ### RASCM_UserName

    static final int RASCM_UserName
    See Also:
      - Constant Field Values

  - ### RASCM_Password

    static final int RASCM_Password
    See Also:
      - Constant Field Values

  - ### RASCM_Domain

    static final int RASCM_Domain
    See Also:
      - Constant Field Values

  - ### RASTUNNELENDPOINT_IPv4

    static final int RASTUNNELENDPOINT_IPv4
    See Also:
      - Constant Field Values

  - ### RASTUNNELENDPOINT_IPv6

    static final int RASTUNNELENDPOINT_IPv6
    See Also:
      - Constant Field Values

  - ### RASDT_Modem

    static final String RASDT_Modem
    See Also:
      - Constant Field Values